Hamsi Manager
File - Directory - MP3 - OGG Manager

Hamsi Manager is a file manager,renamer,id3 tagger,information changer ,.... tool.
Hamsi Manager for developers,users,music listeners,....
Hamsi Manager lisansed with GPLV3. Hamsi Manager is an open source project.

It basically does the following:
-Corrects the character/encoding errors in your system as well as change file encoding from one to another (UTF-8, ISO-8859-9,CP 1254 etc.)
-Arranges everything for you to find your mp3s, files and folders easily
-Deletes the unneeded files (based on your criteria) and folders (such as empty folders) so that your system becomes uncluttered.

System Requirements : 
* Python 2.5 or 2.6 ( 2.4 and earlier not tested) http://www.python.org/download
* PyQt4 http://www.riverbankcomputing.co.uk/software/pyqt/download
* PyKDE4 (Is not requirement but however it is very better than) http://techbase.kde.org/Development/Languages/Python

Installation Steps :
* Double click to "install.py" or write "python ./install.py" to console(Konsole,Terminal...).
* You can install with "Hamsi Manager Installer". (Graphical User Interface (GUI))

Run : 
* Double click to "HamsiManager.py" or write "python ./HamsiManager.py" to console(Konsole,Terminal...).


Details in "http://hamsiapps.com/en/HamsiManager"